diff --git a/base/server/src/engine/pkihelper.py b/base/server/src/engine/pkihelper.py
index df36583079cea16a0d199de3e0007bc7a1a12e12..5c43e9d91fad1d5f316cf97e5f8e7cb1f398c4fe 100644
--- a/base/server/src/engine/pkihelper.py
+++ b/base/server/src/engine/pkihelper.py
@@ -2354,7 +2416,8 @@ class certutil:
                 raise
         return
 
-    def import_cert(self, nickname, trust, input_file, password_file,
+    @staticmethod
+    def import_cert(nickname, trust, input_file, password_file,
                     path = None, token = None, critical_failure = True):
         try:
             command = ["certutil", "-A"]
@@ -2411,7 +2474,8 @@ class certutil:
                 raise
         return
 
-    def generate_certificate_request(self, subject, key_size,
+    @staticmethod
+    def generate_certificate_request(subject, key_size,
                                      password_file, noise_file,
                                      output_file = None, path = None,
                                      ascii_format = None, token = None,
@@ -2492,10 +2556,12 @@ class certutil:
                 raise
         return
 
-# pk12util class
-class pk12util:
-    def create_file(self, out_file, nickname, out_pwfile,
-                    db_pwfile, path = None):
+class PK12util:
+    """pk12util class"""
+    
+    @staticmethod
+    def create_file(out_file, nickname, out_pwfile,
+                    db_pwfile, path = None, critical_failure = True):
         try:
             command = ["pk12util"]
             if path:
@@ -2518,9 +2584,9 @@ class pk12util:
                 command.extend(["-w", out_pwfile])
             else:
                 config.pki_log.error(
-                    log.PKIHELPER_PK12UTIL_MISSING_OUTPWFILE,
+                    log.PKIHELPER_PK12UTIL_MISSING_PWFILE,
                     extra = config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_PK12UTIL_MISSING_OUTPWFILE)
+                raise Exception(log.PKIHELPER_PK12UTIL_MISSING_PWFILE)
             if db_pwfile:
                 command.extend(["-k", db_pwfile])
             else:
@@ -2545,10 +2611,11 @@ class pk12util:
                 raise
         return
 
-
-# KRA Connector Class
-class kra_connector:
-    def deregister(self, critical_failure = False):
+class KRA_connector:
+    """KRA Connector Class"""
+    
+    @staticmethod
+    def deregister(critical_failure = False):
         try:
             # this is applicable to KRAs only
             if master['pki_subsystem_type'] != "kra":
@@ -2597,7 +2664,7 @@ class kra_connector:
             else:
                 token_name = "internal"
 
-            token_pwd = password.get_password(
+            token_pwd = Password.get_password(
                             master['pki_shared_password_conf'],
                             token_name,
                             critical_failure)
@@ -2615,7 +2682,7 @@ class kra_connector:
                 else:
                     return
 
-            self.execute_using_sslget(caport, cahost, subsystemnick,
+            KRA_connector.execute_using_sslget(caport, cahost, subsystemnick,
                                  token_pwd, krahost, kraport)
 
         except subprocess.CalledProcessError as exc:
@@ -2630,7 +2697,8 @@ class kra_connector:
                 raise
         return
 
-    def execute_using_pki(self, caport, cahost, subsystemnick,
+    @staticmethod
+    def execute_using_pki(caport, cahost, subsystemnick,
       token_pwd, krahost, kraport, critical_failure = False):
         command = "/bin/pki -p '{}' -h '{}' -n '{}' -P https -d '{}' -c '{}' "\
                   "kraconnector-del {} {}".format(
@@ -2654,7 +2722,8 @@ class kra_connector:
         if critical_failure == True:
             raise Exception(log.PKI_SUBPROCESS_ERROR_1 % output)
 
-    def execute_using_sslget(self, caport, cahost, subsystemnick,
+    @staticmethod
+    def execute_using_sslget(caport, cahost, subsystemnick,
       token_pwd, krahost, kraport):
         urlheader = "https://{}:{}".format(cahost, caport)
         updateURL = "/ca/rest/admin/kraconnector/remove"
@@ -2677,9 +2746,11 @@ class kra_connector:
                                          stderr = subprocess.STDOUT,
                                          shell = True)
 
-# PKI Deployment Security Domain Class
-class security_domain:
-    def deregister(self, install_token, critical_failure = False):
+class Security_domain:
+    """PKI Deployment Security Domain Class"""
+    
+    @staticmethod
+    def deregister(install_token, critical_failure = False):
         # process this PKI subsystem instance's 'CS.cfg'
         cs_cfg = PKIConfigParser.read_simple_configuration_file(
             master['pki_target_cs_cfg'])
@@ -2755,11 +2826,11 @@ class security_domain:
                     log.PKIHELPER_SECURITY_DOMAIN_UNREACHABLE_1,
                     secname,
                     extra = config.PKI_INDENTATION_LEVEL_2)
-                output = self.update_domain_using_agent_port(typeval,
+                output = Security_domain.update_domain_using_agent_port(typeval,
                     secname, params, updateURL, sechost, secagentport,
                     critical_failure)
         else:
-            output = self.update_domain_using_agent_port(typeval,
+            output = Security_domain.update_domain_using_agent_port(typeval,
                 secname, params, updateURL, sechost, secagentport,
                 critical_failure)
 
@@ -2807,7 +2878,8 @@ class security_domain:
                 secname,
                 extra = config.PKI_INDENTATION_LEVEL_2)
 
-    def update_domain_using_agent_port(self, typeval, secname, params,
+    @staticmethod
+    def update_domain_using_agent_port(typeval, secname, params,
         updateURL, sechost, secagentport, critical_failure = False):
         token_pwd = None
         cs_cfg = PKIConfigParser.read_simple_configuration_file(
@@ -2835,7 +2907,7 @@ class security_domain:
         else:
             token_name = "internal"
 
-        token_pwd = password.get_password(
+        token_pwd = Password.get_password(
                         master['pki_shared_password_conf'],
                         token_name,
                         critical_failure)
@@ -2881,8 +2953,8 @@ class security_domain:
 
         return None
 
-
-    def get_installation_token(self, secuser, secpass, critical_failure = True):
+    @staticmethod
+    def get_installation_token(secuser, secpass, critical_failure = True):
         token = None
 
         if not secuser or not secpass:
@@ -2938,9 +3010,11 @@ class security_domain:
                 raise
         return None
 
-# PKI Deployment 'systemd' Execution Management Class
-class systemd:
-    def start(self, critical_failure = True):
+class Systemd:
+    """PKI Deployment 'systemd' Execution Management Class"""
+    
+    @staticmethod
+    def start(critical_failure = True):
         try:
             # Compose this "systemd" execution management command
             if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
@@ -2966,7 +3040,8 @@ class systemd:
                 raise
         return
 
-    def stop(self, critical_failure = True):
+    @staticmethod
+    def stop(critical_failure = True):
         try:
             # Compose this "systemd" execution management command
             if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
@@ -2992,7 +3067,8 @@ class systemd:
                 raise
         return
 
-    def restart(self, critical_failure = True):
+    @staticmethod
+    def restart(critical_failure = True):
         try:
             # Compose this "systemd" execution management command
             if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
@@ -3019,20 +3095,21 @@ class systemd:
         return
 
 
-class config_client:
+class Config_client:
 
-    def configure_pki_data(self, data):
+    @staticmethod
+    def configure_pki_data(data):
         config.pki_log.info(log.PKI_CONFIG_CONFIGURING_PKI_DATA,
                              extra = config.PKI_INDENTATION_LEVEL_2)
 
-        self.connection = pki.client.PKIConnection(
+        connection = pki.client.PKIConnection(
             protocol = 'https',
             hostname = master['pki_hostname'],
             port = master['pki_https_port'],
             subsystem = master['pki_subsystem_type'])
 
         try:
-            client = pki.system.SystemConfigClient(self.connection)
+            client = pki.system.SystemConfigClient(connection)
             response = client.configure(data)
 
             config.pki_log.debug(log.PKI_CONFIG_RESPONSE_STATUS + \
@@ -3055,7 +3132,7 @@ class config_client:
                         config.pki_log.info(log.PKI_CONFIG_EXTERNAL_CSR_SAVE + \
                             " '" + master['pki_external_csr_path'] + "'",
                             extra = config.PKI_INDENTATION_LEVEL_2)
-                        directory.create(
+                        Directory.create(
                             os.path.dirname(master['pki_external_csr_path']))
                         with open(master['pki_external_csr_path'], "w") as f:
                             f.write(cdata['request'])
@@ -3075,7 +3152,7 @@ class config_client:
             if not config.str2bool(master['pki_clone']) and \
                not config.str2bool(master['pki_import_admin_cert']):
                 admin_cert = response['adminCert']['cert']
-                self.process_admin_cert(admin_cert)
+                Config_client.process_admin_cert(admin_cert)
 
         except Exception, e:
             if hasattr(e, 'response'):
@@ -3092,7 +3169,8 @@ class config_client:
             raise
         return
 
-    def process_admin_cert(self, admin_cert):
+    @staticmethod
+    def process_admin_cert(admin_cert):
         config.pki_log.debug(log.PKI_CONFIG_RESPONSE_ADMIN_CERT + \
                              " " + admin_cert,
                              extra = config.PKI_INDENTATION_LEVEL_2)
@@ -3120,7 +3198,7 @@ class config_client:
 
         # Import the Administration Certificate
         # into the client NSS security database
-        certutil.import_cert(
+        Certutil.import_cert(
             re.sub("&#39;", "'", master['pki_admin_nickname']),
             "u,u,u",
             admin_cert_bin_file,
@@ -3130,12 +3208,12 @@ class config_client:
             True)
 
         # create directory for p12 file if it does not exist
-        directory.create(os.path.dirname(
+        Directory.create(os.path.dirname(
             master['pki_client_admin_cert_p12']))
 
         # Export the Administration Certificate from the
         # client NSS security database into a PKCS #12 file
-        pk12util.create_file(
+        PK12util.create_file(
             master['pki_client_admin_cert_p12'],
             re.sub("&#39;", "'", master['pki_admin_nickname']),
             master['pki_client_pkcs12_password_conf'],
@@ -3145,8 +3223,8 @@ class config_client:
         os.chmod(master['pki_client_admin_cert_p12'],
             config.PKI_DEPLOYMENT_DEFAULT_SECURITY_DATABASE_PERMISSIONS)
 
-
-    def construct_pki_configuration_data(self):
+    @staticmethod
+    def construct_pki_configuration_data():
         config.pki_log.info(log.PKI_CONFIG_CONSTRUCTING_PKI_DATA,
                              extra = config.PKI_INDENTATION_LEVEL_2)
 
@@ -3159,12 +3237,12 @@ class config_client:
         # Cloning parameters
         if master['pki_instance_type'] == "Tomcat":
             if config.str2bool(master['pki_clone']):
-                self.set_cloning_parameters(data)
+                Config_client.set_cloning_parameters(data)
             else:
                 data.isClone = "false"
 
         # Hierarchy
-        self.set_hierarchy_parameters(data)
+        Config_client.set_hierarchy_parameters(data)
 
         # Security Domain
         if master['pki_subsystem'] != "CA" or\
@@ -3173,38 +3251,39 @@ class config_client:
             # PKI KRA, PKI OCSP, PKI RA, PKI TKS, PKI TPS,
             # CA Clone, KRA Clone, OCSP Clone, TKS Clone, or
             # Subordinate CA
-            self.set_existing_security_domain(data)
+            Config_client.set_existing_security_domain(data)
         else:
             # PKI CA or External CA
-            self.set_new_security_domain(data)
+            Config_client.set_new_security_domain(data)
 
         # database
         if master['pki_subsystem'] != "RA":
-            self.set_database_parameters(data)
+            Config_client.set_database_parameters(data)
 
         # backup
         if master['pki_instance_type'] == "Tomcat":
-            self.set_backup_parameters(data)
+            Config_client.set_backup_parameters(data)
 
         # admin user
         if not config.str2bool(master['pki_clone']):
-            self.set_admin_parameters(data)
+            Config_client.set_admin_parameters(data)
 
         # Issuing CA Information
-        self.set_issuing_ca_parameters(data)
+        Config_client.set_issuing_ca_parameters(data)
 
         # Create system certs
-        self.set_system_certs(data)
+        Config_client.set_system_certs(data)
 
         return data
-
-    def set_system_certs(self, data):
+    
+    @staticmethod
+    def set_system_certs(data):
         systemCerts = []
 
         # Create 'CA Signing Certificate'
         if master['pki_subsystem'] == "CA":
             if not config.str2bool(master['pki_clone']):
-                cert1 = self.create_system_cert("ca_signing")
+                cert1 = Config_client.create_system_cert("ca_signing")
                 cert1.signingAlgorithm = \
                     master['pki_ca_signing_signing_algorithm']
                 if config.str2bool(master['pki_external_step_two']):
@@ -3232,7 +3311,7 @@ class config_client:
             if master['pki_subsystem'] == "CA" or\
                master['pki_subsystem'] == "OCSP":
                 # External CA, Subordinate CA, PKI CA, or PKI OCSP
-                cert2 = self.create_system_cert("ocsp_signing")
+                cert2 = Config_client.create_system_cert("ocsp_signing")
                 cert2.signingAlgorithm = \
                     master['pki_ocsp_signing_signing_algorithm']
                 systemCerts.append(cert2)
@@ -3242,7 +3321,7 @@ class config_client:
 
         # create new sslserver cert only if this is a new instance
         cert3 = None
-        system_list = instance.tomcat_instance_subsystems()
+        system_list = Instance.tomcat_instance_subsystems()
         if len(system_list) >= 2:
             data.generateServerCert = "false"
             for subsystem in system_list:
@@ -3253,18 +3332,18 @@ class config_client:
                     cert3 = self.retrieve_existing_server_cert(dst)
                     break
         else:
-            cert3 = self.create_system_cert("ssl_server")
+            cert3 = Config_client.create_system_cert("ssl_server")
         systemCerts.append(cert3)
 
         # Create 'Subsystem Certificate'
         if not config.str2bool(master['pki_clone']):
-            cert4 = self.create_system_cert("subsystem")
+            cert4 = Config_client.create_system_cert("subsystem")
             systemCerts.append(cert4)
 
         # Create 'Audit Signing Certificate'
         if not config.str2bool(master['pki_clone']):
             if master['pki_subsystem'] != "RA":
-                cert5 = self.create_system_cert("audit_signing")
+                cert5 = Config_client.create_system_cert("audit_signing")
                 cert5.signingAlgorithm = \
                     master['pki_audit_signing_signing_algorithm']
                 systemCerts.append(cert5)
@@ -3272,15 +3351,16 @@ class config_client:
         # Create DRM Transport and storage Certificates
         if not config.str2bool(master['pki_clone']):
             if master['pki_subsystem'] == "KRA":
-                cert6 = self.create_system_cert("transport")
+                cert6 = Config_client.create_system_cert("transport")
                 systemCerts.append(cert6)
 
-                cert7 = self.create_system_cert("storage")
+                cert7 = Config_client.create_system_cert("storage")
                 systemCerts.append(cert7)
 
         data.systemCerts = systemCerts
 
-    def set_cloning_parameters(self, data):
+    @staticmethod
+    def set_cloning_parameters(data):
         data.isClone = "true"
         data.cloneUri = master['pki_clone_uri']
         data.p12File = master['pki_clone_pkcs12_path']
@@ -3295,7 +3375,8 @@ class config_client:
             data.cloneReplicationPort = \
                 master['pki_clone_replication_clone_port']
 
-    def set_hierarchy_parameters(self, data):
+    @staticmethod
+    def set_hierarchy_parameters(data):
         if master['pki_subsystem'] == "CA":
             if config.str2bool(master['pki_clone']):
                 # Cloned CA
@@ -3310,17 +3391,19 @@ class config_client:
                 # PKI CA
                 data.hierarchy = "root"
 
-    def set_existing_security_domain(self, data):
+    @staticmethod
+    def set_existing_security_domain(data):
         data.securityDomainType = "existingdomain"
         data.securityDomainUri = master['pki_security_domain_uri']
         data.securityDomainUser = master['pki_security_domain_user']
         data.securityDomainPassword = master['pki_security_domain_password']
-
-    def set_new_security_domain(self, data):
+    @staticmethod
+    def set_new_security_domain(data):
         data.securityDomainType = "newdomain"
         data.securityDomainName = master['pki_security_domain_name']
 
-    def set_database_parameters(self, data):
+    @staticmethod
+    def set_database_parameters(data):
         data.dsHost = master['pki_ds_hostname']
         data.dsPort = master['pki_ds_ldap_port']
         data.baseDN = master['pki_ds_base_dn']
@@ -3336,15 +3419,17 @@ class config_client:
         else:
             data.secureConn = "false"
 
-    def set_backup_parameters(self, data):
+    @staticmethod
+    def set_backup_parameters(data):
         if config.str2bool(master['pki_backup_keys']):
             data.backupKeys = "true"
             data.backupFile = master['pki_backup_keys_p12']
             data.backupPassword = master['pki_backup_password']
         else:
             data.backupKeys = "false"
-
-    def set_admin_parameters(self, data):
+ 
+    @staticmethod
+    def set_admin_parameters(data):
         data.adminEmail = master['pki_admin_email']
         data.adminName = master['pki_admin_name']
         data.adminPassword = master['pki_admin_password']
@@ -3369,10 +3454,10 @@ class config_client:
                 output_file = os.path.join(
                     master['pki_client_database_dir'], "admin_pkcs10.bin")
 
-                file.generate_noise_file(
+                File.generate_noise_file(
                     noise_file, int(master['pki_admin_keysize']))
 
-                certutil.generate_certificate_request(
+                Certutil.generate_certificate_request(
                                      master['pki_admin_subject_dn'],
                                      master['pki_admin_keysize'],
                                      master['pki_client_password_conf'],
@@ -3395,7 +3480,8 @@ class config_client:
                 print "log.PKI_CONFIG_PKCS10_SUPPORT_ONLY"
                 raise Exception(log.PKI_CONFIG_PKCS10_SUPPORT_ONLY)
 
-    def set_issuing_ca_parameters(self, data):
+    @staticmethod
+    def set_issuing_ca_parameters(data):
         if master['pki_subsystem'] != "CA" or\
            config.str2bool(master['pki_clone']) or\
            config.str2bool(master['pki_subordinate']) or\
@@ -3409,7 +3495,8 @@ class config_client:
                 # External CA Step 2
                 data.stepTwo = "true";
 
-    def create_system_cert(self, tag):
+    @staticmethod
+    def create_system_cert(tag):
         cert = pki.system.SystemCertData()
         cert.tag = master["pki_%s_tag" % tag]
         cert.keyAlgorithm = master["pki_%s_key_algorithm" % tag]
@@ -3420,7 +3507,8 @@ class config_client:
         cert.token = master["pki_%s_token" % tag]
         return cert
 
-    def retrieve_existing_server_cert(self, cfg_file):
+    @staticmethod
+    def retrieve_existing_server_cert(cfg_file):
         cs_cfg = PKIConfigParser.read_simple_configuration_file(cfg_file)
         cstype = cs_cfg.get('cs.type').lower()
         cert = pki.system.SystemCertData()
@@ -3435,19 +3523,3 @@ class config_client:
         cert.token = cs_cfg.get(cstype + ".sslserver.tokenname")
         return cert
 
-# PKI Deployment Helper Class Instances
-identity = identity()
-namespace = namespace()
-configuration_file = configuration_file()
-# xml_file = xml_file()
-instance = instance()
-directory = directory()
-file = file()
-symlink = symlink()
-war = war()
-password = password()
-certutil = certutil()
-pk12util = pk12util()
-security_domain = security_domain()
-kra_connector = kra_connector()
-systemd = systemd()
diff --git a/base/server/src/scriptlets/configuration.py b/base/server/src/scriptlets/configuration.py
index 43f8c16cd1a67e2feb8386050ff6fcfa01d52621..1ded5e566055446895d5dd9116fd772ae7b0fe73 100644
--- a/base/server/src/scriptlets/configuration.py
+++ b/base/server/src/scriptlets/configuration.py
@@ -44,58 +44,58 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
 
         # Place "slightly" less restrictive permissions on
         # the top-level client directory ONLY
-        util.directory.create(master['pki_client_subsystem_dir'],
+        util.Directory.create(master['pki_client_subsystem_dir'],
             uid=0, gid=0,
             perms=config.PKI_DEPLOYMENT_DEFAULT_CLIENT_DIR_PERMISSIONS)
         # Since 'certutil' does NOT strip the 'token=' portion of
         # the 'token=password' entries, create a client password file
         # which ONLY contains the 'password' for the purposes of
         # allowing 'certutil' to generate the security databases
-        util.password.create_password_conf(
+        util.Password.create_password_conf(
             master['pki_client_password_conf'],
             master['pki_client_database_password'], pin_sans_token=True)
-        util.file.modify(master['pki_client_password_conf'],
+        util.File.modify(master['pki_client_password_conf'],
                          uid=0, gid=0)
         # Similarly, create a simple password file containing the
         # PKCS #12 password used when exporting the "Admin Certificate"
         # into a PKCS #12 file
-        util.password.create_client_pkcs12_password_conf(
+        util.Password.create_client_pkcs12_password_conf(
             master['pki_client_pkcs12_password_conf'])
-        util.file.modify(master['pki_client_pkcs12_password_conf'])
-        util.directory.create(master['pki_client_database_dir'],
+        util.File.modify(master['pki_client_pkcs12_password_conf'])
+        util.Directory.create(master['pki_client_database_dir'],
                               uid=0, gid=0)
-        util.certutil.create_security_databases(
+        util.Certutil.create_security_databases(
             master['pki_client_database_dir'],
             master['pki_client_cert_database'],
             master['pki_client_key_database'],
             master['pki_client_secmod_database'],
             password_file=master['pki_client_password_conf'])
-        util.symlink.create(master['pki_systemd_service'],
+        util.Symlink.create(master['pki_systemd_service'],
                             master['pki_systemd_service_link'])
 
         # Start/Restart this Apache/Tomcat PKI Process
         if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
-            apache_instance_subsystems =\
-                util.instance.apache_instance_subsystems()
+            apache_instance_subsystems = \
+                util.Instance.apache_instance_subsystems()
             if apache_instance_subsystems == 1:
-                util.systemd.start()
+                util.Systemd.start()
             elif apache_instance_subsystems > 1:
-                util.systemd.restart()
+                util.Systemd.restart()
         elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
             # Optionally prepare to enable a java debugger
             # (e. g. - 'eclipse'):
             if config.str2bool(master['pki_enable_java_debugger']):
                 config.prepare_for_an_external_java_debugger(
                     master['pki_target_tomcat_conf_instance_id'])
-            tomcat_instance_subsystems =\
-                len(util.instance.tomcat_instance_subsystems())
+            tomcat_instance_subsystems = \
+                len(util.Instance.tomcat_instance_subsystems())
             if tomcat_instance_subsystems == 1:
-                util.systemd.start()
+                util.Systemd.start()
             elif tomcat_instance_subsystems > 1:
-                util.systemd.restart()
+                util.Systemd.restart()
 
         # wait for startup
-        status = util.instance.wait_for_startup(60)
+        status = util.Instance.wait_for_startup(60)
         if status == None:
             config.pki_log.error("server failed to restart",
                     extra=config.PKI_INDENTATION_LEVEL_2)
@@ -105,7 +105,6 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         if config.str2bool(master['pki_enable_java_debugger']):
             config.wait_to_attach_an_external_java_debugger()
 
-        config_client = util.config_client()
         # Construct PKI Subsystem Configuration Data
         data = None
         if master['pki_instance_type'] == "Apache":
@@ -114,17 +113,17 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
                     master['pki_subsystem'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 return rv
-        elif master['pki_subsystem'] == "TPS":
+            elif master['pki_subsystem'] == "TPS":
                 config.pki_log.info(log.PKI_CONFIG_NOT_YET_IMPLEMENTED_1,
                     master['pki_subsystem'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 return rv
         elif master['pki_instance_type'] == "Tomcat":
             # CA, KRA, OCSP, or TKS
-            data = config_client.construct_pki_configuration_data()
+            data = util.Config_client().construct_pki_configuration_data()
         
         # Configure the substem
-        config_client.configure_pki_data(
+        util.Config_client().configure_pki_data(
             json.dumps(data, cls=pki.encoder.CustomTypeEncoder))
 
         return self.rv
@@ -133,13 +132,13 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         config.pki_log.info(log.CONFIGURATION_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
         if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS and\
-           util.instance.apache_instance_subsystems() == 1:
-            if util.directory.exists(master['pki_client_dir']):
-                util.directory.delete(master['pki_client_dir'])
-            util.symlink.delete(master['pki_systemd_service_link'])
+           util.Instance.apache_instance_subsystems() == 1:
+            if util.Directory.exists(master['pki_client_dir']):
+                util.Directory.delete(master['pki_client_dir'])
+            util.Symlink.delete(master['pki_systemd_service_link'])
         elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS and\
-             len(util.instance.tomcat_instance_subsystems()) == 1:
-            if util.directory.exists(master['pki_client_dir']):
-                util.directory.delete(master['pki_client_dir'])
-            util.symlink.delete(master['pki_systemd_service_link'])
+             len(util.Instance.tomcat_instance_subsystems()) == 1:
+            if util.Directory.exists(master['pki_client_dir']):
+                util.Directory.delete(master['pki_client_dir'])
+            util.Symlink.delete(master['pki_systemd_service_link'])
         return self.rv
